classification
Title: SystemError in codecs.unicode_escape_decode()
Type: crash Stage: resolved
Components: Unicode Versions: Python 3.4, Python 3.3
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: serhiy.storchaka Nosy List: ezio.melotti, python-dev, serhiy.storchaka
Priority: high Keywords: 3.3regression, patch

Created on 2013-01-16 13:42 by serhiy.storchaka, last changed 2013-01-29 09:49 by serhiy.storchaka. This issue is now closed.

Files
File name Uploaded Description Edit
unicode_escape_decode_escaped_nonascii.patch serhiy.storchaka, 2013-01-16 14:46 review
Messages (3)
msg180089 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2013-01-16 13:42
>>> import codecs
>>> codecs.unicode_escape_decode(b'\\\x80')
Traceback (most recent call last):
  File "<stdin>", line 1, in <module>
SystemError: invalid maximum character passed to PyUnicode_New
msg180090 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2013-01-16 14:46
Here is a fix. The complete test suite will be in issue16979.
msg180629 - (view) Author: Roundup Robot (python-dev) Date: 2013-01-25 21:54
New changeset dcbc16afd6bc by Serhiy Storchaka in branch '3.3':
Issue #16980: Fix processing of escaped non-ascii bytes in the
http://hg.python.org/cpython/rev/dcbc16afd6bc

New changeset d8c2ce63f5a4 by Serhiy Storchaka in branch 'default':
Issue #16980: Fix processing of escaped non-ascii bytes in the
http://hg.python.org/cpython/rev/d8c2ce63f5a4
History
Date User Action Args
2013-01-29 09:49:57serhiy.storchakasetstatus: open -> closed
resolution: fixed
stage: patch review -> resolved
2013-01-25 21:54:38python-devsetnosy: + python-dev
messages: + msg180629
2013-01-16 14:50:05serhiy.storchakalinkissue16979 dependencies
2013-01-16 14:46:28serhiy.storchakasetfiles: + unicode_escape_decode_escaped_nonascii.patch
keywords: + patch
messages: + msg180090

stage: needs patch -> patch review
2013-01-16 13:42:27serhiy.storchakacreate